Skip to navigation

Import a workflow

View as Markdown

Create a new workflow definition and its first version using the exported JSON document of an existing workflow version.

User Access Permission

You must be assigned the Workflow Manage Access permission to run this operation.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Query parameters

workflow_definition_idintegerOptional
The unique id of the workflow definition to under.
versionstringOptional
The version number of the new workflow version to import. Must be greater than any existing version numbers.
activatebooleanOptional
Indicates whether the imported version is an active version. Default to be false.

Request

This endpoint expects an object.
linkageslist of objectsOptional
taskslist of objectsOptional
workflowobjectOptional
A workflow.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

Response

OK
calloutTriggerbooleanOptional
Indicates whether the callout trigger is enabled for the retrieved workflow.
createdAtstringOptionalformat: "datetime"

The date and time when the workflow is created, in the YYYY-MM-DD HH:MM:SS format.

descriptionstringOptional
The description of the workflow.
idintegerOptional
The unique ID of the workflow.
intervalstringOptional
The schedule of the workflow, in a CRON expression. Returns null if the schedued trigger is disabled.
namestringOptional
The name of the workflow.
ondemandTriggerbooleanOptional
Indicates whether the ondemand trigger is enabled for the workflow.
scheduledTriggerbooleanOptional
Indicates whether the scheduled trigger is enabled for the workflow.
timezonestringOptional
The timezone that is configured for the scheduler of the workflow. Returns null if the scheduled trigger is disabled.
typeenumOptional

The type of the workflow. Currently the only valid value is ‘Workflow::Setup’.

Allowed values:
updatedAtstringOptionalformat: "datetime"

The date and time when the workflow is updated the last time, in the YYYY-MM-DD HH:MM:SS format.

versionstringOptional
The version number of the workflow.